﻿/* BODY */
html{ height: 100%; }
body {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}
.hidden,
.template 
{
    display: none;
}
h1{ font-size: 18px;}



/* FOOTER */
#footer {
    background: linear-gradient(45deg, black, #736f6f);
    color: #FFF;
    padding: 10px;
}

/* FLEX LAYOUT */
.flexLayout {
    display: flex;
}
.flexLayout.vertical {
    flex-direction: column;
}

/* LABEL */
.label {
    display: flex;
    align-items: center;
}
.label div {
    display: inline-block;
    margin-right: 3px;
}
.label .bold
{
    font-weight: bold;
}

/* TEXT CONTROL */
.textControl {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
    margin-right: 10px;
}
.textControl input
{
    padding: 5px;
}

/* BUTTONS */
.buttons-bar {
    padding: 5px;
    background-image: linear-gradient(#FFF, #CCC);
    border-bottom: 1px solid #000;
    height: 50px;
}
.button {
    text-align: center;
    border-radius: 4px;
    box-shadow: -1px -1px 5px -2px #000 inset;
    padding: 3px 5px;
    cursor: pointer;
    border: 1px solid #AAA;
    margin-right: 3px;
}
.button:active {
    box-shadow: 1px 1px 5px -2px #000 inset;
}
.button.selected {
    border: 1px solid #e37023;
}
.button.disabled {
    cursor: default;
    border: none;
    filter: grayscale(100%) opacity(0.3);
}
.button img
{
    height: 100%;
    vertical-align: top;
}
.buttons-bar .splitter {
    margin: 0px 7px 0px 4px;
    border-left: 1px solid #999;
    border-right: 1px solid #AAA;
    height: 95%;
}

/* POPUP */
.flexLayout.popup {
    display: none;
    position: absolute;
    z-index: 10000;
}
.flexLayout.popup.visible
{
    display: flex;
}
.popup.manual {
    inset: unset;
    position: absolute;
}
.popup
{
    box-shadow: 1px 1px 3px 1px #333;
    border-radius: 5px;
    border: 1px solid #272727;
    background-color: #FFF;
    padding: 0px;
    min-height: 60px;
    min-width: 100px;
    z-index: 100;
}
.popup::backdrop {
    backdrop-filter: blur(3px);
    background: #000;
    opacity: 0.6;
}
.popup.dialog::backdrop {
    backdrop-filter: blur(3px);
    background: #000;
    opacity: 0.6;
}
.popup .close,
.popupIframeWrapper .popupIframeOuterClose {
    background-image: linear-gradient(316deg, #5b5b5b, transparent);
    border-radius: 10px;
    border: 1px solid #AAA;
    line-height: 15px;
    text-align: center;
    height: 20px;
    width: 20px;
    top: 3px;
    position: absolute;
    right: 3px;
    cursor: pointer;
}
.popup .title {
    line-height: 18px;
    height: 30px;
    padding: 3px 35px 3px 5px;
    background-image: linear-gradient(43deg, #848ba7, transparent);
    font-size: 18px;
}
.popup .content
{
    padding: 10px;
}

.popupIframeWrapper .popupIframeOuterClose {
    background-image: linear-gradient(316deg, #5b5b5b, #ffffff);
    top: -10px;
    right: -10px;
}
.popupIframeBg {
    opacity: 0.8;
    background-image: linear-gradient(316deg, #000000, #939393);
}

/* TEXT DIALOG */
#text-dialog-popup-btn-button {
    line-height: 20px;
    height: 30px;
    margin-left: 5px;
    min-width: 30px;
    text-align: center;
}

/* LIST */
.list {
    height: 100%;
    position: relative;
    overflow-y: scroll;
}

.list .toolbar {
    display: flex;
    justify-content: space-between;
    background: linear-gradient(45deg, black, #736f6f);
    color: #FFF;
    padding: 10px 5px;
}

.list .toolbar .actions {
    display: flex;
}

.list .toolbar .action {
    cursor: pointer;
    height: 26px;
    width: 26px;
    font-size: 0;
    background-size: contain;
    margin: 0 5px;
}

.list .toolbar .action.sort {
    filter: invert(70%);
    background-image: url(/img/sort-action.png);
}

.list .toolbar .action.add {
    filter: invert(70%);
    background-image: url(/img/add-action.png);
}

.list .toolbar .action.filter {
    filter: invert(70%);
    background-image: url(/common/filter-action.png);
}

.list .toolbar-popups {
    right: 0;
    position: absolute;
}

.list .toolbar-popups .popup {
    background-color: aliceblue;
    padding: 10px;
    box-shadow: 1px 1px 4px 1px;
}

.list .header {
    display: flex;
    background-color: #00000077;
}

.list .header .cell {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    background: linear-gradient(0deg, #676767, #d7d7d7);
    border-left: 1px solid #CCC;
    border-right: 1px solid #000;
}

.list .header .cell .name
{
    font-weight: bold;
}

.list .header .cell .name .units
{
    font-weight: normal;
}

.list .header .cell.sortable:after {
    content: '';
    position: absolute;
    display: block;
    width: 20px;
    height: 20px;
    background-image: url(/common/sort.png);
    background-size: contain;
    right: 0px;
}
.list .header .cell.sortable.desc:after {
    background-image: url(/common/sort-desc.png);
}
.list .header .cell.sortable.asc:after {
    background-image: url(/common/sort-asc.png);
}

.list .items {
    border: 1px solid #000;
}

.list .items .item {
    display: flex;
}

.list .item:hover {
    background-color: #FFFFFF77;
}

.list .cell {
    padding: 5px;
    flex: 1 0 0;
    border-left: 1px solid #CCC;
}

/*** EDITOR ***/
.editorBody{
    padding: 10px;
}
.editor .control {
    display: flex;
    flex-direction: column;
}